%global _default_patch_fuzz 2
%global _hardened_build 1
%global checkout 036e314

Name:               lldpad
Version:            1.1
Release:            4
Summary:            Intel LLDP Agent
License:            GPLv2
URL:                https://www.open-lldp.org
Source0:            https://github.com/intel/lldpad/archive/v%{version}.tar.gz

Patch1:             backport-8021Qaz-check-for-rx-block-validity.patch
Patch2:             backport-8021qaz-squelch-initialization-errors.patch
Patch3:             backport-basman-use-return-address-when-pulling-address.patch
Patch4:             backport-macvtap-fix-error-condition.patch
Patch5:             backport-vdp22-convert-command-parsing-to-null-term.patch
Patch6:             backport-lldptool-fix-null-pointer-deference.patch

BuildRequires:      automake autoconf libtool flex kernel-headers libconfig-devel
BuildRequires:      libnl3-devel readline-devel systemd 

Requires:           readline
%{?systemd_requires}

%description
This package contains the Linux user space daemon and configuration tool for Intel LLDP Agent
with Enhanced Ethernet support for the Data Center.

%package            devel
Summary:            Header files, libraries and developer documentatio for %{name}
Requires:           %{name}%{?_isa} = %{version}-%{release}
Provides:           dcbd-devel = %{version}-%{release}
Obsoletes:          dcbd-devel < 0.9.26

%description devel
The package contains header files used for building applications that use %{name}.

%package_help

%prep
%autosetup -n openlldp-%{version} -p1

%build
./bootstrap.sh
CFLAGS=${CFLAGS:-%optflags -Wno-error}; export CFLAGS;
%configure
sed -i -e 's! \\\$compiler_flags !&\\\$CFLAGS \\\$LDFLAGS !' libtool
%make_build

%install
make install DESTDIR=%{buildroot}
install -dp %{buildroot}%{_sharedstatedir}/%{name}
%delete_la

%check
make check

%post
/sbin/ldconfig
%systemd_post %{name}.service %{name}.socket

%preun
%systemd_preun %{name}.service %{name}.socket

%postun
/sbin/ldconfig
%systemd_postun_with_restart %{name}.service %{name}.socket

%files
%defattr(-,root,root)
%doc README
%license COPYING
%{_sbindir}/*
%{_libdir}/liblldp_clif.so.*
%dir %{_sharedstatedir}/%{name}
%{_unitdir}/%{name}.*
%{_sysconfdir}/bash_completion.d/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/liblldp_clif.so
%{_libdir}/liblldp_clif.a

%files    help
%defattr(-,root,root)
%doc ChangeLog
%{_mandir}/man*/*

%changelog
* Tue Nov 01 2022 gaihuiying <eaglegai@163.com> - 1.1-4
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:fix lldptool coredump

* Wed Sep 14 2022 yanglu <yanglu72@h-partners.com> - 1.1-3
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:backport upstream patches

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.1-2
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Sat Jan 30 2021 xihaochen <xihaochen@huawei.com> - 1.1-1
- Type:requirements                                                                                            
- Id:NA
- SUG:NA
- DESC:update lldpad to 1.1

* Tue Jan 26 2021 zengwefeng<zwfeng@huawei.com> - 1.0.1-15
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:check the return value of ecp_create

* Thu Sep 10 2020 lunankun <lunankun@huawei.com> - 1.0.1-14
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix source0 url

* Sat Oct 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.1-13
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:modify the location of COPYING

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.1-12
- Package init

